| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
TrafficTableDialog Class Referenceabstract

Base dialog for traffic-statistics tables (Conversations, Endpoints, etc.), providing a shared tab bar, filter controls, name resolution toggle, and copy/export infrastructure that concrete subclasses build upon. More...

`#include <traffic_table_dialog.h>`

Inheritance diagram for TrafficTableDialog:

## Signals
void | filterAction (QString filter, FilterAction::Action action, FilterAction::ActionType type)
| Emitted when the user triggers a filter action from a table context menu.
void | openFollowStreamDialog (int proto_id)
| Emitted to request that a Follow Stream dialog be opened for the given protocol.
void | openTcpStreamGraph (int graph_type)
| Emitted to request that a TCP stream graph be opened.

## Public Member Functions
| TrafficTableDialog (QWidget &parent, CaptureFile &cf, const QString &table_name=tr("Unknown"))
| Creates a new traffic table dialog.
| ~TrafficTableDialog ()
| Destroys the dialog and releases all associated resources.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Slots
virtual void | currentTabChanged ()
| Called when the active statistics tab changes; subclasses may override to update toolbar or button states for the newly visible tab.
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.

## Protected Member Functions
void | addProgressFrame (QObject *parent)
| Inserts a ProgressFrame into the dialog layout and connects it to the capture-file read progress signal.
QDialogButtonBox * | buttonBox () const
| Returns the dialog's button box.
QCheckBox * | displayFilterCheckBox () const
| Returns the "Limit to display filter" check box.
QCheckBox * | absoluteTimeCheckBox () const
| Returns the "Absolute time" check box.
QVBoxLayout * | getVerticalLayout () const
| Returns the main vertical layout of the dialog for subclass use.
TrafficTab * | trafficTab () const
| Returns the traffic tab widget that hosts per-protocol statistics tabs.
TrafficTypesList * | trafficList () const
| Returns the protocol selector list widget.
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
virtual void | updateWidgets ()
| Updates the state and contents of the dialog's widgets.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Protected Attributes
Ui::TrafficTableDialog * | ui
QPushButton * | copy_bt_
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Base dialog for traffic-statistics tables (Conversations, Endpoints, etc.), providing a shared tab bar, filter controls, name resolution toggle, and copy/export infrastructure that concrete subclasses build upon.

## Constructor & Destructor Documentation

## ◆ TrafficTableDialog()

TrafficTableDialog::TrafficTableDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | const QString & | table_name = tr("Unknown") )
| explicit

Creates a new traffic table dialog.

Parameters

  parent | Parent widget.
  cf | Capture file to compute statistics from; no statistics are calculated if this is `NULL`.
  table_name | Protocol table name to add and bring to the front on open; use the default if the name is not known in advance.

## Member Function Documentation

## ◆ absoluteTimeCheckBox()

QCheckBox * TrafficTableDialog::absoluteTimeCheckBox | ( |  | ) | const
| protected

Returns the "Absolute time" check box.

Returns
  Pointer to the internal QCheckBox.

## ◆ addProgressFrame()

void TrafficTableDialog::addProgressFrame | ( | QObject * | parent | ) |
| protected

Inserts a ProgressFrame into the dialog layout and connects it to the capture-file read progress signal.

Parameters

  parent | QObject to use as the ProgressFrame's parent.

## ◆ buttonBox()

QDialogButtonBox * TrafficTableDialog::buttonBox | ( |  | ) | const
| protected

Returns the dialog's button box.

Returns
  Pointer to the internal QDialogButtonBox.

## ◆ displayFilterCheckBox()

QCheckBox * TrafficTableDialog::displayFilterCheckBox | ( |  | ) | const
| protected

Returns the "Limit to display filter" check box.

Returns
  Pointer to the internal QCheckBox.

## ◆ filterAction

void TrafficTableDialog::filterAction | ( | QString | filter,
|  | FilterAction::Action | action,
|  | FilterAction::ActionType | type )
| signal

Emitted when the user triggers a filter action from a table context menu.

Parameters

  filter | The filter expression to apply.
  action | The action to perform (apply, prepare, etc.).
  type | The action type (selected, not selected, etc.).

## ◆ getVerticalLayout()

QVBoxLayout * TrafficTableDialog::getVerticalLayout | ( |  | ) | const
| protected

Returns the main vertical layout of the dialog for subclass use.

Returns
  Pointer to the internal QVBoxLayout.

## ◆ openFollowStreamDialog

void TrafficTableDialog::openFollowStreamDialog | ( | int | proto_id | ) |
| signal

Emitted to request that a Follow Stream dialog be opened for the given protocol.

Parameters

  proto_id | Protocol ID of the stream to follow.

## ◆ openTcpStreamGraph

void TrafficTableDialog::openTcpStreamGraph | ( | int | graph_type | ) |
| signal

Emitted to request that a TCP stream graph be opened.

Parameters

  graph_type | TCP stream graph type constant (e.g. time-sequence, throughput).

## ◆ trafficList()

TrafficTypesList * TrafficTableDialog::trafficList | ( |  | ) | const
| protected

Returns the protocol selector list widget.

Returns
  Pointer to the internal TrafficTypesList widget.

## ◆ trafficTab()

TrafficTab * TrafficTableDialog::trafficTab | ( |  | ) | const
| protected

Returns the traffic tab widget that hosts per-protocol statistics tabs.

Returns
  Pointer to the internal TrafficTab widget.

## Member Data Documentation

## ◆ copy_bt_

QPushButton* TrafficTableDialog::copy_bt_
| protected

"Copy" button for exporting table contents.

## ◆ ui

Ui::TrafficTableDialog* TrafficTableDialog::ui
| protected

Qt Designer-generated UI object.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/traffic_table_dialog.h
- /builds/wireshark/wireshark/ui/qt/traffic_table_dialog.cpp